[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# TListStaticCallback

Callback for list operations

## Declaration

Source position: types.pp line 175

`type TListStaticCallback = procedure(`
`data: pointer;`
`arg: pointer`
`);`

## Description

TListStaticCallback is the prototype for a Foreach operation on a list. It will be called with as Data the pointer in the list, and Arg will contain the extra user data added to the Foreach call. It can be used in plain procedures; for a version that can be used as a method, see TListCallback

## See also

TListCallback |  | Method callback for list operations